* {
  /* font-family:Arial, Helvetica, sans-serif; */
  font-family: "Open Sans", sans-serif;
}

/* @font-face {
  font-family: 'Arial';
  src: local('Arial'), local('Helvetica'), local('sans-serif');
  font-display: swap;
} */

.alert {
  border-radius: 0px;
}

.link-emphasis {
  text-decoration: underline;
  font-weight: 600;
}

/* top */

#profile-popup-options, .lang-options{
  box-shadow: 1px 1px 5px #888888;
}

.languages-list-wrap{
  position: relative;
}

.site-language img{
  height: 1.25rem;
}

.lang-options{
  position: absolute;
  z-index: 9999;
  background-color: white;
  max-height: 16rem;
  overflow: overlay;
}

.lang-options[data-visibility="true"]{
  display:block;
}

.lang-options[data-visibility="false"]{
  display:none;
}

.lang-options a{
  color: black!important;
  white-space: nowrap;
}

.lang-options a:hover{
  text-decoration: underline;
}

.lang-options a > span{
  display: inline-block;
}

/* social */

.social i {
  font-size: 1rem;
  padding: 0.25rem;
  transition: .115s color ease-out;
}

.social i:hover {
  color: #f63438;
  text-decoration: none;

}

.login,
.signup {
  padding: 0.25rem;
}

.navbar {
  background-color: #0984FF !important;
  /* height: 72px; */
}

.logo-wrapper object,
.navbar-brand {
  display: block;
}

.footer-brand .logo-wrapper object,
.footer-brand .logo-wrapper {
  width: 100%;
  max-width: 500px;
  margin: auto;
}

.navbar-brand .logo-wrapper object,
.navbar-brand .logo-wrapper {
  height: 2.75rem;
}

.top {
  background-color: #00478f;
}

.inner-top-cont {
  position: relative;
}

.social a,
.top .join a {
  color: #ffffff;
  text-transform: uppercase;
  line-height: 40px;
}

.lang-options a{
  line-height: 20px!important;
}

.social a {
  font-family: "Font Awesome 5 Brands";
}

/* lang-options-list > *{
  display: inline;
  vertical-align: middle;
} */

/* .top .join{
  float: right;
  position: relative;
} */

.social, .join{
  padding: 0rem 0.5rem;
}

.top .join a {
  font-size: 12px;
  vertical-align: middle;
}

.top #js-profile-popup {
  position: absolute;
  z-index: 9999;
  background-color: #e8e8e8;
  display: none;
  background: #ffffff;
  border-radius: 3px;
  right: 0;
}

.top #js-profile-popup:after,
.top #js-profile-popup:before {
  bottom: 100%;
  border: solid transparent;
  content: " ";
  height: 0;
  width: 0;
  position: absolute;
  pointer-events: none;
}

#js-profile-popup ul {
  list-style: none;
  margin: 0;
  padding: 0px;
  width: 100%;
}

.top #js-profile-popup ul li a {
  display: block;
  padding-left: 1rem;
  padding-right: 1rem;
  width: 115px;
  color: #000f21;
}

.lang-options a:hover span{
  text-decoration: underline;
}

.top #js-profile-popup ul li a:hover {
  background-color: #f63438;
  color: white;
}

.top #js-profile-popup ul .bottom-border {
  border-bottom: 1px solid #dddddd;
}

.search_forum {
  display: inline-block;
}

.search_cont {
  float: right;
  /* position: relative; */
}

.results-list {
  display: none;
  padding: 0px;
}

.search_button>* {
  color: #fff;

}

.search-form-wrapper {
  top: 0;
  right: 0;
  min-width: 60px;
  margin-bottom: 0;
  width: auto;
  text-align: center;
}

.search_cont .search_form,
.search_cont .gcse-search {
  z-index: 1000001;
  position: absolute;
  right: 0;
  top: 100%;
  /* border: 2px solid #000f21; */
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  background-color: #fff;
  padding: 1rem;
  font-size: 16px;
  display: none;
  line-height: 44px;
  width: 100%;
  margin: 0;
  vertical-align: baseline;
  max-width: 578px;
  box-shadow: 0px 3px 6px 0px rgba(0, 0, 0, .2);
}

/* .search_cont .search-form-wrapper{
  padding-right: 1rem;
} */

.search_cont .search-input {
  width: 100%;
  -webkit-appearance: none;
  border: 1px solid #ddd;
  font-size: 1em;
  padding-right: 3em;
  padding-left: .75em;
  width: 100%;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  outline-offset: 0;
  border-radius: 0;
  margin-top: 0;
  margin-bottom: 0;
  color: #000f21;
  max-height: 44px;
}

.search_cont .submit_search {
  position: absolute;
  right: 1rem;
  width: 44px;
  background-color: #f80708;
  color: #fff;
  border: none;
  padding: 0;
}

.search_cont #search {
  position: absolute;
  right: 0px;
  z-index: 9998;
  max-width: 578px;
  width: 100%;
}

/* Seardch rests */

.search-results .result-link {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0);
  transition: all .2s ease;
}

.search-results .result-link:hover {
  background-color: rgba(161, 93, 93, 0.08);
}

.search-results picture,
.search-results source,
.search-results img {
  max-width: 100px;
}

.search-results picture {
  padding-right: 1rem;
}

.search-results .results-list li {
  border: 0px;
  padding-left: 0px;
  padding-right: 0px;
}

.search-results .results-list {
  max-height: 370px;
  overflow: scroll;
}

.search-results .result-title p {
  /* font-family: 'Roboto',sans-serif !important; */
  font-size: .875rem;
  line-height: 1.4;
  font-weight: 1000;
  color: #111;
  margin: 0px;
}

.search-results .entry-date {
  font-family: 'Open Sans', arial, sans-serif;
  font-size: 11px;
  margin-bottom: 7px;
  line-height: 1;
  color: #aaa;
}

.search_form .more_results {
  display: none;
  width: 100%;
  border: 0px;
  background-color: #ffffff;
  border-top: 1px solid #ededed;
  margin-top: 1rem;
  margin-bottom: -1rem !important;
}

.nav-link {
  color: white !important;
}

/* article cards */

picture * {
  width: 100%;
  height: 100%;
  object-fit: cover;
  float: none;
  max-width: none;
  left: 0;
  right: 0;
  margin-left: auto;
  margin-right: auto;
}

.navbar-toggler {
  border: 0px;
}

.navbar-toggler i {
  color: white;
}

.card-img-overlay,
.overlay-content {
  background-color: rgba(0, 0, 0, 0.3);
}

.card {
  border: 0px;
}

/* .article-category-label{
  left: 0px;
  top: 0px;
  z-index: 1100;
  padding: 0.5rem;
  line-height: 0.875rem;
  font-size: 0.875rem;
  background-color: #f43135;
  color: white;
  font-weight: 400;
  letter-spacing: 1px;
} */

.item-author-info {
  margin-bottom: 0.5rem;
}

.rating,
.article-item-link,
.difficulty_level .difficulty {
  line-height: 1rem;
  font-size: 0.925rem;
  margin-bottom: 0.5rem;
}

.article-item-title .item-author-info .full-name:after {
  content: "·"
}

.article-item-title .item-author-info,
.article-item-title .item-author-info a,
.article-item-title .item-author-info span {
  line-height: 1rem;
  font-size: 0.925rem;
  color: #949494;
}

.article-category-label {
  position: absolute;
  left: 0px;
  padding: 0.5rem;
  background-color: #fc3d3c;
  margin: 0.5rem;
  color: white;
  font-family: sans-serif;
  text-transform: uppercase;
  font-size: 0px;
  display: block;
  top: 0px;
  transition: all 0.25s ease;
  z-index: 1900;
}

.article-category-label:hover {
  text-decoration: none;
  background-color: #FF6F59;
}

.article-category-label p {
  font-size: 0.75rem;
  line-height: 0.75rem;
  margin: 0px;
  font-weight: 500;
  color: white;

}

.article-item-cover {
  width: 100%;
  padding-top: 56.25%;
  /* 1:1 Aspect Ratio */
  position: relative;
  overflow: hidden;
  border-radius: 0px;
}

.article-item-cover picture>* {
  overflow: hidden;
}

.article-item-cover picture {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}

.stretched-link:hover .overlay-content {
  background-color: rgba(0, 0, 0, 0.45)
}

/* background-color: rgba(0,0,0,0.3); */

/* ARTICLES DIFFICULTY */

.difficulty {
  /* margin-top: 0.5rem; */
  font-size: 0.875rem;
}

.difficulty span {
  /* margin-left: 0.25rem; */
  vertical-align: middle;
  display: inline-block;
}

.diff_off {
  height: 0.875rem;
  width: 0.875rem;
  border: 1px solid #c0c0c0;
  background-color: #c0c0c0;
  border-radius: 100%;
  display: inline-block;
  vertical-align: middle;
}

.diff_beginner {
  background-color: rgb(3, 120, 252);
}

.diff_easy {
  background-color: rgb(0, 255, 2);
}

.diff_moderate {
  background-color: rgb(229, 239, 34);
}

.diff_challenging {
  background-color: rgb(237, 80, 38);
}

.diff_expert {
  background-color: rgb(185, 19, 34);
}

.difficulty_level {
  display: block;
}

/* RATINGS */

.rating {
  margin-top: 0.5rem;
  display: inline-block;
  font-size: 0.875rem;
}

.rating .diff_star_on {
  color: #0984FF;
}

.rating .diff_star_off {
  color: rgb(185, 185, 185);
}

/* latest articles shown */

.view-more-btn {
  padding: 1rem;
}

.view-more-btn a {
  background-color: #fc3d3c;
  display: block;
  padding: 0.75rem;
  line-height: 0.875rem;
  text-align: center;
  color: white;
  text-transform: uppercase;
  font-weight: 600;
  font-size: 0.875rem;
  position: relative;
  transition: all 0.2s ease;
}

.view-more-btn a:after {
  content: "\25BA";
  font-size: 0.875rem;
  /* line-height: 0.875rem; */
  /* vertical-align: top; */
  padding-left: 0.25rem;
}

.view-more-btn a:hover {
  text-decoration: none;
  background-color: #FF6F59;
}

/* carousel */

/* .col-md-3{
  padding: 0px;
} */

#demo {
  overflow: hidden;
}

.carousel-item .card-img-overlay {
  background-color: rgba(0, 0, 0, 0.5) !important;
}

.carousel-text {
  font-size: 1em;
  line-height: 1.25em;
}

.col-md-4,
.col-md-3 {
  display: inline-block;
  margin-left: -3px;
}

.col-md-4 img,
.col-md-3 img {
  width: 100%;
  height: auto;
}

body .carousel-indicators li {
  background-color: red;
}

body .carousel-indicators {
  bottom: 0px;
}

.carousel-control-prev,
.carousel-control-next {
  z-index: 2000;
}

body .carousel-control-prev-icon,
body .carousel-control-next-icon {
  background-color: red;
}

body .no-padding {
  padding-left: 0px;
  padding-right: 0px;
  /* margin-left: 15px;
  margin-right: 105px; */
  overflow: hidden;
}

/* Section titles */

.item-author-info {
  text-align: left;
}

.section-title {
  background: #0884ff;
  text-transform: uppercase;
  color: #fff;
  line-height: 1rem;
  font-size: 1rem;
  font-weight: 300;
  position: relative;
  padding: 0.5rem 0.5rem 0.3rem;
  display: inline-block;
  margin: 0px;
  font-family: roboto, sans-serif;
}

.section-title-wrap {
  /* margin-bottom: 1rem; */
  border-bottom: 2px solid #0884ff;
  text-align: left;
}

/* rating */

.product-rating .rating-cont {
  position: relative;
  font-size: 1.25rem;
  line-height: 1.25rem;
  display: inline-block;
}

.product-rating .product-rating {
  vertical-align: middle;
}

.product-rating .rating-cont:before {
  content: "\2605 \2605 \2605 \2605 \2605";
  float: left;
  z-index: 1;
  color: rgb(163, 163, 163);
}

.product-rating .rating-cont .rating-value {
  position: absolute;
  float: left;
  overflow: hidden;
  z-index: 2;
}

.product-rating .rating-cont .rating-value:after {
  content: "\2605 \2605 \2605 \2605 \2605";
  color: #0b84ff;
}

/* footer */


footer {
  background-color: #00478f;
}

footer a {
  color: #fff;
}

footer a:hover {
  color: white;
  text-decoration: underline;
}

footer .newsletter button {
  background-color: #15beff;
  border: none;
  color: #fff;
}

footer .newsletter button:hover {
  background-color: #1aa9e2;
  border: none;
  color: #fff;
}

footer .copyright {
  background-color: #000f21;
}

footer ul {
  list-style-type: none;
}

@media only screen and (min-width: 1400px) {
  .container {
    min-width: 1320px;
  }
}